Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12455

Description

[[GdalTools]] plugin crashes QGIS when it is installed, and also prevents QGIS from starting. I am using the trunk version of both QGIS

and GDAL on Kubuntu 9.10. If starting QGIS from the console the only message is 'Bus Error'.

I've been poking around the python code and think I have narrowed it down to the line

    self.translator.load( self.localePath )

in the init function. When this line and the following line (QCoreApplication.installTranslator( self.translator ) are commented out everything

works just fine.

If I write out the contents of self.localePath in a message box it has the value

/home/roland/.qgis/python/plugins/GdalTools/i18n/GdalTools_en_AU.qm

This directory exists, but the file does not. There are two qm files present; [[GdalTools]]_ru_RU.qm and [[GdalTools]]_uk_UA.qm

In the Locale settings dialog box the Override System locale box is not checked and the additional information list my locale as en_AU.

History

#1 - 2010-01-26 03:06 AM - Giovanni Manghi

Please report this bug also in the gdal tools trac

https://trac.faunalia.it/GdalTools-plugin/report/1

#2 - 2010-01-26 07:28 AM - Giuseppe Sucameli

- Resolution set to invalid

- Status changed from Open to Closed

Replying to sowelu:

[[GdalTools]] plugin crashes QGIS when it is installed, and also prevents QGIS from starting. I am using the trunk version of both QGIS and GDAL

on Kubuntu 9.10. If starting QGIS from the console the only message is 'Bus Error'.

You're using the experimental version of the [[GdalTools]]-plugin, isn't it?

Experimental plugins may have some problems and QGis doesn't recommend installing these unless for testing. 

If you purpose is not testing, you should disable experimental ones from the Python Plugin Installer.

By the way, I opened a New Ticket on the [[GdalTools]] plugin trac and I'm closing this ticket.
#3 - 2010-01-27 09:39 AM - Alexander Bruy

Fixed in [[GdalTools]]
